# $Revision: 1.20 $, $Date: 2012/01/27 07:40:13 $
Summary:	Advanced Linux Sound Architecture - firmware data
Summary(pl.UTF-8):	Advanced Linux Sound Architecture - dane firmware
Name:		alsa-firmware
Version:	1.0.25
Release:	1
License:	varies (GPL, BSD-like, distributable)
Group:		Libraries
Source0:	ftp://ftp.alsa-project.org/pub/firmware/%{name}-%{version}.tar.bz2
# Source0-md5:	f1939da45b162c83a726c54a470ef139
URL:		http://www.alsa-project.org/
BuildRequires:	automake
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautostrip	.*\.elf

%description
Firmware data for ALSA.

%description -l pl.UTF-8
Dane firmware dla ALSA.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--disable-buildfw \
	--with-hotplug-dir=/lib/firmware

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -f hdsploader/README README.hdsploader
cp -f mixartloader/README README.mixartloader
cp -f pcxhrloader/README README.pcxhrloader
cp -f usx2yloader/README README.usx2yloader
cp -f vxloader/README README.vxloader
cp -f aica/license.txt license.aica

# remove dead symlinks to /etc/sound/* (with sanity check)
for l in $RPM_BUILD_ROOT/lib/firmware/turtlebeach/*.bin ; do
	test -h $l || exit 1
	rm -f $l
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* mixartloader/miXart.conf pcxhrloader/pcxhr.conf usx2yloader/us*.conf vxloader/vx*.conf aica/Dreamcast_sound.txt license.aica
# loadable by hotplug/udev
/lib/firmware/aica_firmware.bin
/lib/firmware/digiface_*.bin
/lib/firmware/multiface_*.bin
/lib/firmware/asihpi
/lib/firmware/ea
/lib/firmware/emagic
/lib/firmware/emu
/lib/firmware/ess
/lib/firmware/korg
/lib/firmware/mixart
/lib/firmware/pcxhr
/lib/firmware/rpm_firmware.bin
/lib/firmware/sb16
# just dead symlinks
#/lib/firmware/turtlebeach
/lib/firmware/vx
/lib/firmware/yamaha
# -alsa subpackage? loadable by alsa (R: alsa-tools, %{_datadir}/alsa dir)
%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/hdsploader
%{_datadir}/alsa/firmware/mixartloader
%{_datadir}/alsa/firmware/pcxhrloader
%{_datadir}/alsa/firmware/usx2yloader
%{_datadir}/alsa/firmware/vxloader

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-firmware.spec,v $
Revision 1.20  2012/01/27 07:40:13  arekm
- up to 1.0.25

Revision 1.19  2011/02/02 19:10:44  qboosh
- updated to 1.0.24.1

Revision 1.18  2010/05/29 21:45:30  arvenil
- up to 1.0.23

Revision 1.17  2010/04/11 09:52:42  qboosh
- updated to 1.0.20

Revision 1.16  2009/09/06 09:58:51  amateja
- reverted

Revision 1.14  2009/01/28 21:02:38  qboosh
- updated to 1.0.19

Revision 1.13  2008/07/15 19:46:41  qboosh
- check-files cleanup

Revision 1.12  2008/07/14 19:40:11  twittner
- up to 1.0.17

Revision 1.11  2008/02/11 20:58:12  qboosh
- updated to 1.0.16
- use just /lib/firmware without misleading hotplug name

Revision 1.10  2007-10-22 21:33:01  arekm
- up to 1.0.15

Revision 1.9  2007/10/10 12:39:18  hawk
- release 1

Revision 1.8  2007/06/12 05:44:08  qboosh
- updated to 1.0.14

Revision 1.7  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.5  2006/10/04 21:20:12  qboosh
- updated to 1.0.13

Revision 1.4  2006/08/26 12:08:16  qboosh
- updated to 1.0.12
- noarch (only noinst build tools are compiled by host gcc)

Revision 1.3  2006/04/22 00:11:26  qboosh
- updated to 1.0.11

Revision 1.2  2005/11/19 17:45:03  qboosh
- md5

Revision 1.1  2005/11/19 17:43:58  qboosh
- new
